<template lang="pug">
<b-modal @ok="changeImageSetting" :id="'edit_link_' + mode + '_' + index" hide-header title-class="h5" modal-class="edit_modal edit_link_modal" ok-only>
    <b-form-group id="edit_link_group" label-for="edit_link_link_input" description="" class="edit_link_group">
        b-form-textarea#edit_link_input(
            @focus="selectStr",
            rows="6",
            v-model="url",
            placeholder="連結或信箱網址"
        )
    </b-form-group>
</b-modal>
</template>

<script>
import {
    mapGetters
} from "vuex";
export default {
    props: {
        mode: {
            type: String,
            default: "",
        },
        index: {
            type: [String, Number],
            default: "",
        },
        default_url: {
            type: String,
            default: "",
        },
    },
    data() {
        return {
            url: "",
        };
    },
    components: {},
    computed: {
        ...mapGetters({}),
    },
    methods: {
        changeImageSetting() {
            this.$store.commit("UPDATE_SECONDARYCOMPONENT_VALUE", {
                key: this.index,
                second_key: "url",
                val: this.url,
            });
        },
        selectStr: function (event) {
            event.target.setSelectionRange(0, this.url.length);
        },
    },
    mounted() {
        this.url = this.default_url;
    },
};
</script>

<style lang="scss">
.edit_modal {
    .modal {
        &-header {
            border-bottom: none;
            padding: 10px;
            padding-bottom: 0;
        }

        &-title {
            font-size: 14px !important;
            padding-left: 10px;
        }

        &-body {
            padding: 0px;
        }
    }
}

.edit_link_modal {
    #edit_link_input {
        padding-top: 10px;
        padding-bottom: 40px;
    }

    .edit_link_group {
        margin-bottom: 0;
    }

    .modal {
        &-footer {
            border-top: none;
            padding: 0;

            .btn {
                height: 100%;
                width: 100%;
                margin: 0;
                border-radius: 0;
            }
        }
    }
}
</style>
